//#define XERR
#include "loop.ih"

    // by roundscolhdrs.cc

void Loop::roundsBottomColNames(FBB::CSVTable &tab) const
{
    auto const &active = d_modalities.activeMods();
    size_t nActive = active.size(); 

    tab.more() << "round";
    for (size_t idx = 0; idx != nActive; ++idx)
        tab.more()  << "true" << "false" << "true" << "false";

    tab.more() << "tumors" << "interval" << "trueInt" <<
                                "screening" << "biop";

    for (size_t idx = 0; idx != nActive; ++idx)
        tab.more() << active[idx]->id();

    tab.row();
}
